KConfigGroupSaver Class Reference

`#include <kconfigbase.h>`

## Public Member Functions

| KConfigGroupSaver (KConfigBase *config, QString group)
| KConfigGroupSaver (KConfigBase *config, const char *group)
| KConfigGroupSaver (KConfigBase *config, const QCString &group)
KConfigBase * | config ()

## Detailed Description

Helper class to facilitate working with KConfig / KSimpleConfig groups.

Careful programmers always set the group of a KConfig KSimpleConfig object to the group they want to read from and set it back to the old one of afterwards. This is usually written as:

QString oldgroup config->group();
config->setGroup( "TheGroupThatIWant" );
...
config->writeEntry( "Blah", "Blubb" );
config->setGroup( oldgroup );

In order to facilitate this task, you can use KConfigGroupSaver. Simply construct such an object ON THE STACK when you want to switch to a new group. Then, when the object goes out of scope, the group will automatically be restored. If you want to use several different groups within a function or method, you can still use KConfigGroupSaver: Simply enclose all work with one group (including the creation of the KConfigGroupSaver object) in one block.

Deprecated:
  This class is deprecated and will be removed in KDE 4. KConfigGroup provides similar functionality in a more object oriented way.

Author
  Matthias Kalle Dalheimer kalle.nosp@m.@kde.nosp@m..org

See also
  KConfigBase, KConfig, KSimpleConfig, KConfigGroup Helper class for easier use of KConfig/KSimpleConfig groups

Definition at line 2057 of file kconfigbase.h.

## Constructor & Destructor Documentation

KConfigGroupSaver::KConfigGroupSaver | ( | KConfigBase * | config,
|  | QString | group
| ) |  |

inline

Constructor.

You pass a pointer to the KConfigBase-derived object you want to work with and a string indicating the new group.

Parameters

  config | The KConfigBase-derived object this KConfigGroupSaver works on.
  group | The new group that the config object should switch to.

Definition at line 2069 of file kconfigbase.h.

The documentation for this class was generated from the following file:

- kconfigbase.h

KDE Home | KDE Accessibility Home | Description of Access Keys